<head>
    <!--    Pour éviter que Chrome affiche une boite de dialogue de traduction-->
    <meta name="google" content="notranslate">
</head>
<style type="text/css">

    {# Assurer le full screen #}
    body {
        margin: 0;
        padding: 0;
        height: 100%;
        width: 100%;
        background-color: black;
        overflow: hidden;
    }

    html {
        height: 100%;
        width: 100%;
    }

    {# Pour centrer le contenu qui ne fait pas la taille de l'écran tout en s'assurant du full screen #}
    #content1, #content2 {
        position: absolute;
        left: 50%;
        top: 50%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        height: 100%;
        width: 100%;
    }

</style>
<script src="https://code.jquery.com/jquery-3.3.1.min.js"
        integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<script>
    var json_actuel = {};
    var json_new = {};
    var content_number = 0;

    function copy(src) {
        return JSON.parse(JSON.stringify(src));
    }

    function log(content) {
        if ({{ debug }}) {
            console.log(content);
        }
    }

    function load_ok() { //Lorsque le HTML est chargé sur la nouvelle div
        log("On load")
        if ($("#content1").is(":hidden")) {
            future_div = $("#content1");
            actual_div = $("#content2");
        } else {
            future_div = $("#content2");
            actual_div = $("#content1");
        }
        actual_div.fadeOut("slow", function () {
            future_div.fadeIn("slow", function () {
                actual_div.html("");
            });
        });
    }

    function next_content() {
        log("Call_next_content_function");
        log(json_actuel[content_number].type);
        if (json_actuel.length === 0) {
            log("fin de parsage d'une liste");
            $("#content1").html("<img style=\"max-height: 100%; max-width: 100%\" src=\"{{ static }}logo_no_content1.png\">");
            content_number = 0;
            if (json_new.length > 0) {
                json_actuel = copy(json_new);
            }
            setTimeout(next_content, 10 * 1000);
        } else {
            if ($("#content1").is(":hidden")) {
                future_div = $("#content1");
                actual_div = $("#content2");
            } else {
                future_div = $("#content2");
                actual_div = $("#content1");
            }
            if (json_actuel[content_number].type === "image") {
                future_div.html('<img onload="load_ok()" style="max-height: 100%; max-width: 100%" src="{{ media }}' + json_actuel[content_number].content + '">');
            } else if (json_actuel[content_number].type === "youtube") {
                future_div.html('<iframe onload="load_ok()" id="ytplayer" type="text/html" width="' + $(window).width() + '" height="' + $(window).height() + '"\n' +
                    'src="https://www.youtube.com/embed/' + json_actuel[content_number].content + '?autoplay=1&mute=1&controls=0&disablekb=1&fs=0&modestbranding=1&iv_load_policy=3&showinfo=0&VQ=HD720"\n' +
                    'frameborder="0" allowfullscreen></iframe>');
            } else if (json_actuel[content_number].type === "iframe") {
                future_div.html('<iframe onload="load_ok()" type="text/html" width="' + $(window).width() + '" height="' + $(window).height() + '"\n' +
                    'src="' + json_actuel[content_number].content + '"\n' +
                    'frameborder="0" allowfullscreen></iframe>');
            } else if (json_actuel[content_number].type === "off") {
                future_div.html('<img onload="load_ok()" style="max-height: 100%; max-width: 100%" src="{{ static }}logo_screen_off.png">');
            } else if (json_actuel[content_number].type === "empty1") {
                future_div.html('<img onload="load_ok()" style="max-height: 100%; max-width: 100%" src="{{ static }}logo_no_content1.png">');
            } else if (json_actuel[content_number].type === "empty2") {
                future_div.html('<img onload="load_ok()" style="max-height: 100%; max-width: 100%" src="{{ static }}logo_no_content2.png">');
            }
            setTimeout(next_content, json_actuel[content_number].duration * 1000);
            content_number++;
            if (content_number === json_actuel.length) {
                log("fin de parsage d'une liste");
                content_number = 0;
                if (json_new.length > 0) {
                    json_actuel = copy(json_new);
                }
            }
        }

    }

    function download() {
        log("Call_download_function")
        $.getJSON("{% url "json_screen" screen.token %}")
            .done(function (data) {
                log("Bien recu")
                json_new = copy(data);
            })
            .fail(function () {
                log("error");
            });
        setTimeout(download, 120 * 1000);
    }

    function start() {
        log("Call_start_function")
        if (json_new.length > 0) {
            log("content_ok");
            json_actuel = copy(json_new);
            next_content();
        } else {
            log("no content");
            setTimeout(start, 10 * 1000);
        }
    }

    download(); //Attention ne pas mettre dans start sinon double appel si start échoue une fois
    start();
</script>
<div style="min-height: 100%; min-width: 100%; display: table-cell; vertical-align: middle; text-align: center">
    <div id="content1" style="vertical-align: center; text-align: center"><img style="max-height: 100%; max-width: 100%" src="{{ static }}logo_start_screen.png" alt="Logo allumage écran"/>
    </div>
    <div id="content2" style="text-align: center; vertical-align: center; display: none;"></div>
</div>